using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace KendoDropDownList_DataAnnotation.Models
{
    public class ComponentGIEditViewModel
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }

        [Display(Name = "Toolset Reference Id")]
        public string ToolsetReferenceId { get; set; }

        [Display(Name = "BU Reference Id")]
        public string BUReferenceId { get; set; }

        [Display(Name = "Service Group")]
        public int ServiceGroupId { get; set; }
        public IEnumerable<dynamic> ServiceGroups { get; set; }

        [Display(Name = "Component Type")]
        public int ComponentTypeId { get; set; }
        public IEnumerable<dynamic> ComponentTypes { get; set; }

        [Display(Name = "Criticality")]
        public int CriticalityId { get; set; }
        public IEnumerable<dynamic> Criticalities { get; set; }

        [Display(Name = "Is Sox")]
        public string IsSOX { get; set; }

        [Display(Name = "Complexity")]
        public int ComplexityId { get; set; }
        public IEnumerable<dynamic> Complexities { get; set; }

        [Display(Name = "Trigger")]
        public int TriggerId { get; set; }
        public IEnumerable<dynamic> Triggers { get; set; }

        [Display(Name = "Data Classification")]
        public int DataClassificationId { get; set; }
        public IEnumerable<dynamic> DataClassifications { get; set; }
    }
}